{% extends 'base.html.twig' %}

{% block body %}
    <div class="container">
        <div class="jumbotron">


            {% for restauran in restaurant %}
                <h1>Заведение "{{ restauran.title }}"</h1>
                <p><b>{{ restauran.descriptions }}</b></p>
            {% endfor %}

            <h2>Cписок всех блюд:</h2>
            <div>
                {% for dish in dishes %}

                    <h4>"{{ dish.name }}"</h4>
                    <b>Цена: {{ dish.price }}$</b>

                    <form action="{{ path('app_default_basket', {id: restaurant_id}) }}" method="post">
                        <input type="hidden" name="to_basket_id" value="{{ dish.id }}">
                        <input class="btn btn-default" id="btn{{ dish.id }}" type="submit"
                               value="Добавить в корзину">
                    </form>
                    <hr>

                {% else %}
                    <p>Извините сегодня блюд нет</p>
                {% endfor %}
            </div>

        </div>
        <div>
            <h3>Содержимое корзины:</h3>
            {% for value in dishes_array %}
                <ul>
                    {% for dish in value %}
                        <li>   {{ dish.name }}. Цена: {{ dish.price }}$</li>
                    {% else %}
                        <p>Добавьте в корзину</p>
                    {% endfor %}
                </ul>
            {% else %}
                <p>Добавьте в корзину</p>
            {% endfor %}


            {% set frames = [] %}
            {% set sum = 0 %}


            {% for dish in dishes_array %}
                {% for di in dish %}
                    {% set sum = sum + di.price %}
                {% endfor %}
            {% endfor %}

            <b>Общая сумма: {{ sum }}$</b>

        </div>

    </div>{% set co = 1 %}


{% endblock %}
